AddCircle

Adds a circle curve to the document.

Syntax

Rhino.AddCircle (arrPlane, dblRadius)

Rhino.AddCircle (arrPoint, dblRadius)

Parameters

arrPlane

Required.  Array.  The plane on which the circle will lie. The origin of the plane will be the center point of the circle.

arrPoint

Required.  Array.  The center point of the circle. The circle will lie on a plane that is parallel with the world x-y axis, and that runs through arrPoint.

dblRadius

Required.  Number.  The radius of the circle.

Returns

String

The identifier of the new object if successful.

Null

If not successful, or on error.

Example

Dim arrPlane

arrPlane = Rhino.WorldXYPlane

Rhino.AddCircle arrPlane, 5.0

Also See

AddCircle3Pt

AddCirclePtTanPt

AddCircleTanTan

AddCircleTanTanTan

IsCircle